Intereting Posts
Отображение IP-адреса на интерфейсе eth0 Как отключить проверку ethernet во время загрузки Могу ли я использовать пользовательскую оболочку с строкой сценария выскочка? Lampp apache не перезапускается Ubuntu 16.10 + Displaylink + Внешний монитор медленный на графике Intel HD Есть ли программное обеспечение для распознавания голоса (GUI) для удаления ubuntu? Запустить команду в gnome-terminal, а затем закрыть gnome-terminal без завершения команды? Открыть папку из UBUNTU Как изменить ярлык-ключ, показывающий тире единства? Установлен 7zip. Не работает. И при удалении, он говорит, чтобы удалить Fileroller, а также Какой пользователь работает с tomcat? Как я могу скопировать тему gtk? Почему я получаю черный / фиолетовый экран при загрузке на новом ПК? Ubuntu не сохраняет размер курсора мыши между перезагрузками Не удалось перезапустить Apache, получив ошибку: apache2: неправильное имя пользователя $ {APACHE_RUN_USER}

Куда упали пакеты easy_install и pip?

Я написал сценарий Bash, который автоматизирует установку приложения на основе ERPNext 3.6.1 * на моем ноутбуке Ubuntu 14.04 LTS.

Часть скрипта устанавливает необходимые зависимости, используя apt-get install , включая pip и easy_install . Скрипт работал отлично пару дней назад, но теперь, когда я пытаюсь запустить его, этот шаг завершился неудачно со следующими сообщениями об ошибках от apt-get в терминале:

 Reading package lists... Building dependency tree... Reading state information... E: Unable to locate package easy_install E: Unable to locate package pip 

Я не могу найти эти пакеты в программном центре Ubuntu, хотя у меня все еще есть команды, установленные в моей системе (см. Ниже), и поиск в программном центре Ubuntu возвращает установленный пакет python-pip в качестве первого результата.

Я также выполнил следующее, чтобы выяснить, какой пакет принадлежит установленным командам:

 christopher@SkyTemple:~$ whereis easy_install easy_install: /usr/local/bin/easy_install christopher@SkyTemple:~$ dpkg -S /usr/local/bin/easy_install dpkg-query: no path found matching pattern /usr/local/bin/easy_install christopher@SkyTemple:~$ whereis pip pip: /usr/bin/pip /usr/bin/X11/pip /usr/local/bin/pip /usr/local/bin/pip2.7 /usr/share/man/man1/pip.1.gz christopher@SkyTemple:~$ dpkg -S /usr/bin/pip python-pip: /usr/bin/pip 

pip ли pip и easy_install недавно python-pip ? Или они вообще ушли? Мне нужно знать, как я должен обновлять свой скрипт, если это необходимо.

* Я устал, я знаю, но это то, что мой работодатель предоставил от нашего подрядчика, поэтому мне нужно работать с ним.